Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.common.filespecification
Class PDEmbeddedFile

    java.lang.Object
      org.pdfbox.pdmodel.common.PDStream
          org.pdfbox.pdmodel.common.filespecification.PDEmbeddedFile

All Implemented Interfaces:
  COSObjectable

public class PDEmbeddedFile
extends PDStream

This represents an embedded file in a file specification.

Version:
  $Revision: 1.2 $
Author:
  Ben Litchfield

Constructor Summary
`PDEmbeddedFile(COSStream str)` Constructor.
`PDEmbeddedFile(PDDocument document)` Constructor.
`PDEmbeddedFile(PDDocument doc, InputStream str)` Constructor.
`PDEmbeddedFile(PDDocument doc, InputStream str, boolean filtered)` Constructor.

Method Summary
`String` | `getCheckSum()` Get the check sum of the embedded file.
`Calendar` | `getCreationDate()` Get the creation date of the embedded file.
`String` | `getMacCreator()` Get the mac Creator.
`String` | `getMacResFork()` Get the mac ResFork.
`String` | `getMacSubtype()` Get the mac subtype.
`Calendar` | `getModDate()` Get the mod date of the embedded file.
`int` | `getSize()` Get the size of the embedded file.
`String` | `getSubtype()` Get the subtype(mimetype) for the embedded file.
`void` | `setCheckSum(String checksum)` Set the check sum.
`void` | `setCreationDate(Calendar creation)` Set the creation date.
`void` | `setMacCreator(String macCreator)` Set the mac Creator.
`void` | `setMacResFork(String macResFork)` Set the mac ResFork.
`void` | `setMacSubtype(String macSubtype)` Set the mac subtype.
`void` | `setModDate(Calendar mod)` Set the mod date.
`void` | `setSize(int size)` Set the size of the embedded file.
`void` | `setSubtype(String mimeType)` Set the subtype for this embedded file.

Methods inherited from class org.pdfbox.pdmodel.common.PDStream
`addCompression, createFromCOS, createInputStream, createOutputStream, getByteArray, getCOSObject, getDecodeParams, getFile, getFileDecodeParams, getFileFilters, getFilters, getInputStreamAsString, getLength, getMetadata, getPartiallyFilteredStream, getStream, setDecodeParams, setFile, setFileDecodeParams, setFileFilters, setFilters, setMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDEmbeddedFile

    public PDEmbeddedFile(PDDocument document)

  Constructor.

Parameters:
  `document` - {@inheritDoc}

### PDEmbeddedFile

    public PDEmbeddedFile(COSStream str)

  Constructor.

Parameters:
  `str` - The stream parameter.

### PDEmbeddedFile

    public PDEmbeddedFile(PDDocument doc,
                          InputStream str)
                   throws IOException

  Constructor.

Parameters:
  `doc` - {@inheritDoc}
  `str` - {@inheritDoc}
Throws:
  `IOException` - {@inheritDoc}

### PDEmbeddedFile

    public PDEmbeddedFile(PDDocument doc,
                          InputStream str,
                          boolean filtered)
                   throws IOException

  Constructor.

Parameters:
  `doc` - {@inheritDoc}
  `str` - {@inheritDoc}
  `filtered` - {@inheritDoc}
Throws:
  `IOException` - {@inheritDoc}

Method Detail

### setSubtype

    public void setSubtype(String mimeType)

  Set the subtype for this embedded file. This should be a mime type value. Optional.

  Parameters:
    `mimeType` - The mimeType for the file.

### getSubtype

    public String getSubtype()

  Get the subtype(mimetype) for the embedded file.

  Returns:
    The type of embedded file.

### getSize

    public int getSize()

  Get the size of the embedded file.

  Returns:
    The size of the embedded file.

### setSize

    public void setSize(int size)

  Set the size of the embedded file.

  Parameters:
    `size` - The size of the embedded file.

### getCreationDate

    public Calendar getCreationDate()
                             throws IOException

  Get the creation date of the embedded file.

  Returns:
    The Creation date.
  Throws:
    `IOException` - If there is an error while constructing the date.

### setCreationDate

    public void setCreationDate(Calendar creation)

  Set the creation date.

  Parameters:
    `creation` - The new creation date.

### getModDate

    public Calendar getModDate()
                        throws IOException

  Get the mod date of the embedded file.

  Returns:
    The mod date.
  Throws:
    `IOException` - If there is an error while constructing the date.

### setModDate

    public void setModDate(Calendar mod)

  Set the mod date.

  Parameters:
    `mod` - The new creation mod.

### getCheckSum

    public String getCheckSum()

  Get the check sum of the embedded file.

  Returns:
    The check sum of the file.

### setCheckSum

    public void setCheckSum(String checksum)

  Set the check sum.

  Parameters:
    `checksum` - The checksum of the file.

### getMacSubtype

    public String getMacSubtype()

  Get the mac subtype.

  Returns:
    The mac subtype.

### setMacSubtype

    public void setMacSubtype(String macSubtype)

  Set the mac subtype.

  Parameters:
    `macSubtype` - The mac subtype.

### getMacCreator

    public String getMacCreator()

  Get the mac Creator.

  Returns:
    The mac Creator.

### setMacCreator

    public void setMacCreator(String macCreator)

  Set the mac Creator.

  Parameters:
    `macCreator` - The mac Creator.

### getMacResFork

    public String getMacResFork()

  Get the mac ResFork.

  Returns:
    The mac ResFork.

### setMacResFork

    public void setMacResFork(String macResFork)

  Set the mac ResFork.

  Parameters:
    `macResFork` - The mac ResFork.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD